;============================================
; CSS34PX13 Special Register Address Definition
; Version: V2.0 
;============================================

; Data Memory Organization 00h-07h
 IND0         EQU         00h	; Uses contents of FSR0 to address data memory     
 FSR0         EQU         02h	; Indirect data memory, address point 0
 STATUS       EQU         04h	; { LVD36,LVD24, 0, PD, TO, DC, C, Z}
 WORK         EQU         05h	; 
 INTF         EQU         06h	; { 0,TM2IF, 0, TM0IF, SRADIF, E2IF, E1IF, E0IF}
 INTE         EQU         07h	; {GIE, TM2IE,0, TM0IE, SRADIE, E2IE, E1IE, E0IE}
 BSR          EQU     	  08H	; {IRP0,IRP1 ,0 ,0 ,0 ,0,PAGE1,PAGE0}
 
; Peripheral special registers  0Ah-027h
 EADRH        EQU         0Ah	; EADR[11:8]
 EADRL        EQU         0Bh	; EADR[7:0]
 EDATH        EQU         0Ch	; EDATH[7:0]
 WDTCON       EQU         0Dh 	; {WDTEN,  0, 0, 0, 0, WTS[2:0]}
 WDTIN        EQU         0Eh 	; WDTIN[7:0]
 TM0CON       EQU         0Fh 	; {T0EN, T0RATE[2:0], 0, T0RSTB, T0SEL[1:0]}
 TM0IN        EQU         10h 	; TM0IN[7:0]
 TM0CNT       EQU         11h 	; TM0CNT[7:0]
 MCK          EQU         16h	; {0,CST_IN,CST_WDT,EO_SLP,0,0,0,0}
 TM2CON       EQU         17h	; {T2EN, T2RATE[2:0], T2CKS, T2RSTB, T2OUT, PWM2OUT}
 TM2IN        EQU         18h	; TM2IN[7:0]
 TM2CNT       EQU         19h	; TM2CNT[7:0]
 TM2R         EQU         1ah	; TM2R[7:0]
 TM3CON       EQU         1bh	; {T3EN, T3RATE[2:0], T3CKS, T3RSTB, T3OUT, PWM3OUT}
 TM3IN        EQU         1ch	; TM3IN[7:0]
 TM3CNT       EQU         1dh	; TM3CNT[7:0]
 TM3R         EQU         1eh	; TM3R[7:0]
 PT1          EQU         20h	; PT1[7:1]
 PT1EN        EQU         21h	; PT1EN[7:1]
 PT1PU        EQU         22h	; PT1PU[7:2]
 PT1CON       EQU         23h	; {0,PT1W[3:0],E1M,E0M[1:0]}
 PT3          EQU         28h	; PT3[7:0]
 PT3EN        EQU         29h	; PT3EN[7:0]
 PT3PU        EQU         2ah	; PT3PU[7:0]
 PT3CON       EQU         2bh	; PT3CON[7:0]
 TM3CON2      EQU         2dh	; {DT3CK[1:0],DT3CNT1[2:0],DT3_EN,P3H_OEN,P3L_OEN}
 TMCON        EQU         2eh	; {P3HINV,P3LINV,DT3CNT2[2:0],PWM4PO,PWM3PO,PWM2PO}
 TMCON2       EQU         2fh	; {0,PWM3POL,T4SEL[1:0],T3SEL[1:0],T2SEL[1:0]}
 PT5          EQU         30h	; {0000, 0,PT5[2:0]}
 PT5EN        EQU         31h 	; {0000, 0,PT5EN[2:0]}
 PT5PU        EQU         32h 	; {0000, 0,PT5PU[2:0]}
 PT5CON       EQU         33h	; {0000, 0, 0, 0,PT5CON0}
 EX_CTL       EQU         38h	; {EX0W[1:0],0,PT1W2[4:0]}
 EX2_CTL      EQU         39h	; {EX2W[1:0]000, 0,E2M[1:0]}
 INTF2        EQU         3ch	; {SCNBIF,SCNAIF,TM4IF,TM3IF,PDTOIF,PDRXIF,PDTXIF,DETIF}
 INTE2        EQU         3dh	; {SCNBIE,SCNAIE,TM4IE,TM3IE,PDTOIE,PDRXIE,PDTXIE,DETIE}
 INTF3        EQU         3eh	; {CMP0IF ,0, 0, 0,	0, 0,URTIF,	URRIF}
 INTE3        EQU         3fh	; {CMP0IE ,0, 0, 0,	0, 0,URTIE,	URRIE}
 TM4CON       EQU         40h	; {T4EN,T4RATE[2:0],T4CKS,T4RSTB,T4OUT,PWM4OUT}
 TM4IN        EQU         41h	;	{TM4IN[7:0]}
 TM4CNT       EQU         42h	;	{TM4CNT[7:0]}
 TM4R         EQU         43h	;	{TM4R[7:0]}
 TM2INH       EQU         44h	; {0, 0, 0,	0, TM2IN[11:8]}
 TM2CNTH      EQU         45h	; {0, 0, 0,	0, TM2CNT[11:8]}
 TM2RH        EQU         46h	; TM2R[11:8]
 TM3INH       EQU         47h	; TM3IN[11:8]
 TM3CNTH      EQU         48h 	; TM3CNT[11:8]
 TM3RH        EQU         49h	; TM3R[11:8]
 TM4INH       EQU         4ah 	; TM4IN[11:8]
 TM4CNTH      EQU         4bh	; TM4CNT[11:8]
 TM4RH        EQU         4ch	; TM4R[11:8]
 SRADCON0     EQU         50h	; {QDIF,AIN4LS,SRADACKS[1:0],0,0,SRADCKS[1:0]}
 SRADCON1     EQU         51h	; {SRADEN,SRADS,OFTEN,CALIF,ENOV,OFFEX,VREFS[1:0]}
 SRADCON2     EQU         52h	; {CHS[3:0],0,AUTOS,0,0}
 SRADCON3     EQU         53h
 SRADL        EQU         54h	; {SRAD[7:0]}
 SRADH        EQU         55h	; {0,0,0,0,SRAD[11:8}
 SROFTL       EQU         56h	; {SROFT[7:0]}
 SROFTH       EQU         57h	; {0,0,0,0,SROFT[11:8]}
 REFCON       EQU         58h	; {REF_EN,REFOEN,0,0,0,0,REF_SEL[1:0]}
 TRIM_REF     EQU         5ah	; TRIM_REF[7:0]
 CC_CTL1      EQU         5bh	; {CC_CTL1,CC2A_PU,CC1A_PU,CC2AVCON,CC1AVCON,0,RPRD_CURA[2:0]}
 CC_CTL2      EQU         5ch	; {CC_CTL1,CC2B_PU,CC1B_PU,CC2BVCON,CC1BVCON,0,RPRD_CURB[2:0]}
 CC_CTL3      EQU         5dh	; {CCBDET,CCB_STS[2:0],CCADET,CCA_STS[2:0]}
 CC_CTL4      EQU         5eh	; {CC1nSCN,CC2nSCN,0,DETRST,CCREF_EN,0,SCN_DUTY[1:0]}
 METCH        EQU         5fh	; METCH[7:0]
 PDCTL        EQU         60h	; {PDEN,TXST,FIFOW,PD_SLOW,PWRR,DATR,CCSEL[1:0]}
 PDSTS        EQU         61h	; {FIFOCLR ,0,FULL,EMPTY,0,0,CRCERR,BUSY}
 PDDAT0       EQU         62h	; PDDATA[7:0]
 PDDAT1       EQU         63h	; PDDATA[15:8]
 PDDAT2       EQU         64h	; PDDATA[23:16]
 PDDAT3       EQU         65h	; PDDATA[31:24]
 PDCMD        EQU         66h	;	{RCV_CMD[3:0,TXD_CMD[3:0]}
 PDLEN        EQU         67h	;	{0,RDLEN[2:0],0,TDLEN[2:0]}
 PDSOP        EQU         68h	;	{0,RCV_SOP[2:0],0,TXD_SOP[2:0]}
 PDRCV        EQU         69h	; {RCV_PWRR ,RCV_DATR,RCV_REV[1:0],FIFOR,RCV_MESSAGEID[2:0]}
 CMPCON0      EQU         6ah	; {CMPEN ,CMP_NSEL[2:0],CMPHYSE,0,CMP_OE,CMPOUT}
 CMPCON1      EQU         6bh	; {0,CMP_PSEL[2:0],0,0,0,0}
 PDVSEL       EQU         6ch	; {RXVSEL,PDVSEL[2:0],0,0,0,0}
 TRIMCUR      EQU         6dh	; TRIM_CUR[7:0]
 TRIMRPD      EQU         6eh	; TRIM_RPD[7:0]
 TRIMCPR      EQU         6fh	; TRIM_CPR[7:0]
 LVDCON       EQU         70h	; {LVD36,0,0,0,LVDTRIM[3:0]}
 SCON1        EQU         77h	; {SM0,	SM1,	SM2,	REN	,TB8,	RB8	,0,	0}
 SCON2        EQU         78h	; {SMOD,URCLK [1:0],0,UARTEN,PINCTL[2:0]}
 SBUF         EQU         79h	; {SBUF[7:0]}
 CURCON       EQU         7ah	; {P17CUR,P52CUR,P51CUR[1:0],0,0,	P12CUR,P11CUR}
 SYSCFG0      EQU         7bh	; {VTHSEL,RST20_SEL,0,0,0,LFILT_EN,LFILT_S[1:0]}
 SYSCFG1      EQU         7ch	; {PDP14,PDP13,PDP12,PUP11,PDP36,PDP35,0,0}
 TESTOP0      EQU         7dh	; {RES_OP_T[3:0],0,0,TMOD[1:0]}
 TESTOP1      EQU         7eh	; {CLKDIV_T[1:0],LVD_SEL_T[1:0],RSTPIN_T,0,0,0}
 TEST         EQU         7fh	; TEST[7:0]
     
;-------------------------------------------
; Status register bit map
;-------------------------------------------
Z       EQU     0
C       EQU     1
DC      EQU     2
TO      EQU     3
PD      EQU     4
LVD24   EQU     6
LVD36   EQU     7  
;-------------------------------------------
; Interrupt flag register bit map
;-------------------------------------------
E0IF    EQU     0
E1IF    EQU     1
E2IF    EQU     2
SRADIF  EQU     3
TM0IF   EQU     4
TM2IF   EQU     6 
;-------------------------------------------
; Interrupt enable register bit map
;-------------------------------------------
E0IE    EQU     0
E1IE    EQU     1
E2IE    EQU     2
SRADIE  EQU     3
TM0IE   EQU     4
TM2IE   EQU     6
GIE     EQU     7
;-------------------------------------------
; WDTCON register bit map
;-------------------------------------------
WTS0     EQU     0
WTS1     EQU     1
WTS2     EQU     2
WDTEN    EQU     7
;-------------------------------------------
; TM0CON register bit map
;-------------------------------------------
T0SEL0  EQU     0
T0SEL1  EQU     1
T0RSTB  EQU     2
T0RATE0 EQU     4
T0RATE1 EQU     5
T0RATE2 EQU     6
T0EN    EQU     7
;-------------------------------------------
; MCK register bit map
;-------------------------------------------
EO_SLP       EQU     4
CST_WDT      EQU     5
CST_IN       EQU     6
;-------------------------------------------
; TM2CON register bit map
;-------------------------------------------
PWM2OUT  EQU     0
T2OUT    EQU     1
T2RSTB   EQU     2
T2CKS    EQU     3
T2RATE0  EQU     4
T2RATE1  EQU     5
T2RATE2  EQU     6
T2EN     EQU     7
;-------------------------------------------
; TM3CON register bit map
;-------------------------------------------
PWM3OUT  EQU     0
T3OUT    EQU     1
T3RSTB   EQU     2
T3CKS    EQU     3
T3RATE0  EQU     4
T3RATE1  EQU     5
T3RATE2  EQU     6
T3EN     EQU     7
;-------------------------------------------
; PT1CON register bit map
;-------------------------------------------
E0M0  	EQU     0
E0M1  	EQU     1
E1M 	EQU     2
PT1W0   EQU     3
PT1W1 	EQU     4
PT1W2 	EQU     5
PT1W3   EQU     6
;-------------------------------------------
; TM3CON2 register bit map
;-------------------------------------------
P3L_OEN  EQU     0
P3H_OEN  EQU     1
DT3_EN   EQU     2
DT3CNT10 EQU     3
DT3CNT11 EQU     4
DT3CNT12 EQU     5
DT3CK0   EQU     6
DT3CK1   EQU     7
;-------------------------------------------
; TMCON register bit map
;-------------------------------------------
PWM2PO   EQU     0
PWM3PO   EQU     1
PWM4PO   EQU     2
DT3CNT20 EQU     3
DT3CNT21 EQU     4
DT3CNT22 EQU     5
P3LINV   EQU     6
P3HINV   EQU     7     
;-------------------------------------------
; TMCON2 register bit map
;-------------------------------------------
T2SEL0   EQU     0
T2SEL1   EQU     1
T3SEL0   EQU     2
T3SEL1   EQU     3
T4SEL0   EQU     4
T4SEL1   EQU     5
PWM3POL  EQU     6
PWM3IOS  EQU     7         
;-------------------------------------------
; EX_CTL register bit map
;-------------------------------------------
PT1W20   EQU     0
PT1W21   EQU     1
PT1W22   EQU     2
PT1W23   EQU     3
PT1W24   EQU     4
EX0W0    EQU     6
EX0W1    EQU     7       
;-------------------------------------------
; EX2_CTL register bit map
;-------------------------------------------
E2M0     EQU     0
E2M1     EQU     1
EX2W0    EQU     6
EX2W1    EQU     7   
;-------------------------------------------
; Interrupt flag register bit map
;-------------------------------------------
DETIF    EQU     0
PDTXIF   EQU     1
PDRXIF   EQU     2
PDTOIF   EQU     3
TM3IF    EQU     4
TM4IF    EQU     5     
SCNAIF   EQU     6
SCNBIF   EQU     7
;-------------------------------------------
; Interrupt enable register bit map
;-------------------------------------------
DETIFE   EQU     0
PDTXIE   EQU     1
PDRXIE   EQU     2
PDTOIE   EQU     3
TM3IE    EQU     4
TM4IE    EQU     5     
SCNAIE   EQU     6
SCNBIE   EQU     7
;-------------------------------------------
; Interrupt flag register bit map
;-------------------------------------------
URRIF    EQU     0
URTIF    EQU     1
CMPIF    EQU     7
;-------------------------------------------
; Interrupt enable register bit map
;-------------------------------------------
URRIE    EQU     0
URTIE    EQU     1
CMPIE    EQU     7  
;-------------------------------------------
; TM4CON register bit map
;-------------------------------------------
PWM4OUT  EQU     0
T4OUT    EQU     1
T4RSTB   EQU     2
T4CKS    EQU     3
T4RATE0  EQU     4
T4RATE1  EQU     5
T4RATE2  EQU     6
T4EN     EQU     7    
;-------------------------------------------
; SRADCON0 register bit map
;-------------------------------------------
SRADCKS0  EQU     0
SRADCKS1  EQU     1
SRADACKS0 EQU     4
SRADACKS1 EQU     5
AIN4LS    EQU     6
QDIF      EQU     7      
;-------------------------------------------
; SRADCON1 register bit map
;-------------------------------------------
VREFS0  EQU     0
VREFS1  EQU     1
OFFEX   EQU     2
ENOV    EQU     3
CALIF   EQU     4
OFTEN   EQU     5
SRADS	  EQU     6 
SRADEN  EQU     7 
;-------------------------------------------
;SRADCON2 register bit map
;-------------------------------------------
AUTO_SEL0  EQU     0
AUTO_SEL1  EQU     1
AUTOS	     EQU     2
VREF12_SEL EQU     3
CHS0       EQU     4
CHS1       EQU     5
CHS2       EQU     6 
CHS3       EQU     7 
;-------------------------------------------
;SRADCON3 register bit map
;-------------------------------------------
SRAD_ADDR0	EQU     0
SRAD_ADDR1	EQU     1
SRAD_ADDR2	EQU     2
;-------------------------------------------
;REFCON register bit map
;-------------------------------------------
REF_SEL0	EQU     0
REF_SEL1	EQU     1
REFOEN	  EQU     6
REF_EN    EQU     7
;-------------------------------------------
;CC_CTL1 register bit map
;-------------------------------------------
RPRD_CURA0     EQU     0
RPRD_CURA1     EQU     1
RPRD_CURA2     EQU     2
CC1AVCON       EQU     4
CC2AVCON       EQU     5
CC1A_PU        EQU     6 
CC2A_PU        EQU     7 
;-------------------------------------------
;CC_CTL2 register bit map
;-------------------------------------------
RPRD_CURB0    EQU     0
RPRD_CURB1    EQU     1
RPRD_CURB2    EQU     2
CC1BVCON      EQU     4
CC2BVCON      EQU     5
CC1B_PU		  	EQU     6 
CC2B_PU       EQU     7 
;-------------------------------------------
;CC_CTL3 register bit map
;-------------------------------------------
CCA_STS0      EQU     0
CCA_STS1      EQU     1
CCA_STS2      EQU     2
CCADET	      EQU     3
CCB_STS0      EQU     4
CCB_STS1      EQU     5
CCB_STS2	  	EQU     6 
CCBDET        EQU     7 
;-------------------------------------------
;CC_CTL4 register bit map
;-------------------------------------------
SCN_DUTY0     EQU     0
SCN_DUTY1     EQU     1
CCREF_EN      EQU     3
DETRST        EQU     4
CC2nSCN	      EQU     6 
CC1nSCN       EQU     7 
;-------------------------------------------
;PDCTL register bit map
;-------------------------------------------
CCSEL0		    EQU     0
CCSEL1		    EQU     1
DATR		    	EQU     2
PWRR	        EQU     3
PD_SLOW       EQU     4
FIFOW         EQU     5
TXST					EQU     6 
PDEN          EQU     7 
;-------------------------------------------
;PDSTS register bit map
;-------------------------------------------
BUSY		    EQU     0
CRCERR			EQU     1
EMPTY       EQU     4
FULL        EQU     5
FIFOCLR 		EQU			7
;-------------------------------------------
;PDCMD register bit map
;-------------------------------------------
TXD_CMD0		EQU     0
TXD_CMD1		EQU     1
TXD_CMD2		EQU     2
TXD_CMD3	  EQU     3
RCV_CMD0		EQU     4
RCV_CMD1		EQU     5
RCV_CMD2		EQU     6 
RCV_CMD3		EQU     7 
;-------------------------------------------
;PDLEN register bit map
;-------------------------------------------
TDLEN0		    EQU     0
TDLEN1		    EQU     1
TDLEN2		    EQU     2
RDLEN0			EQU     4
RDLEN1			EQU     5
RDLEN2			EQU     6 
;-------------------------------------------
;PDSOP register bit map
;-------------------------------------------
TXD_SOP0		EQU     0
TXD_SOP1		EQU     1
TXD_SOP2		EQU     2
RCV_SOP0		EQU     4
RCV_SOP1		EQU     5
RCV_SOP2		EQU     6 
;-------------------------------------------
;PDRCV register bit map
;-------------------------------------------
RCV_MESSAGEID0		EQU     0
RCV_MESSAGEID1		EQU     1
RCV_MESSAGEID2		EQU     2
FIFOR		        EQU     3
RCV_REV0		    EQU     4
RCV_REV1		   	EQU     5
RCV_DATR				EQU     6 
RCV_PWRR		    EQU     7 
;-------------------------------------------
;CMPCON0 register bit map
;-------------------------------------------
CMPOUT		    EQU     0
CMP_OEN				EQU     1
CMP_NSEL0			EQU     4
CMP_NSEL1			EQU     5
CMP_NSEL2			EQU     6 
CMPEN		      EQU     7 
;-------------------------------------------
;CMPCON1 register bit map
;-------------------------------------------
CMP_PSEL0			EQU     4 	
CMP_PSEL1			EQU     5 	
CMP_PSEL2			EQU     6 	
;-------------------------------------------
;PDVSEL register bit map
;-------------------------------------------
PDVSEL0				EQU     4 	
PDVSEL1				EQU     5 	
PDVSEL2				EQU     6 	
;-------------------------------------------
;LVDCON register bit map
;-------------------------------------------
LVDTRIM0		EQU     0
LVDTRIM1	  EQU     1
LVDTRIM2		EQU     2
LVDTRIM3	  EQU     3
LVD36_2	    EQU     7 
;-------------------------------------------
;SCON1 register bit map
;-------------------------------------------
RB8			    EQU     2
TB8	        EQU     3
REN		      EQU     4
SM2			    EQU     5
SM1			    EQU     6 
SM0		      EQU     7 
;-------------------------------------------
;SCON2 register bit map
;-------------------------------------------
PINCTL0			  EQU     0
PINCTL1			  EQU     1
PINCTL2			  EQU     2
UARTEN        EQU     3
URCLK0			  EQU     5
URCLK1			  EQU     6 
SMOD		      EQU     7 
;-------------------------------------------
;CURCON register bit map
;-------------------------------------------
P11CUR			  EQU     0
P12CUR		    EQU     1
CURP510				EQU     4
CURP511		    EQU     5
CURP52			  EQU     6 
CURP17	      EQU     7
;-------------------------------------------
;SYSCFG0 register bit map
;-------------------------------------------
LFILT_S0			EQU     0
LFILT_S1			EQU     1
LFILT_EN		  EQU     2
P30REFEN	    EQU     3
VTHP300			  EQU     4
VTHP301 			EQU     5
RST20_SEL			EQU     6 
VTHSEL	      EQU     7 
;-------------------------------------------
;SYSCFG1 register bit map
;-------------------------------------------
PDP35		      EQU     2
PDP36	        EQU     3
PUP11		      EQU     4
PDP12					EQU     5
PDP13					EQU     6 
PDP14	        EQU     7 
;-------------------------------------------
;TESTOP0 register bit map
;-------------------------------------------
TMOD0	        EQU     0
TMOD1         EQU     1
RES_OP_T0			EQU			4
RES_OP_T1			EQU			5
RES_OP_T2			EQU			6
RES_OP_T3			EQU			7			
;-------------------------------------------
;TESTOP1 register bit map
;-------------------------------------------
RSTPIN_T      EQU     3
LVD_SEL_T0	  EQU     4
LVD_SEL_T1    EQU     5
CLKDIV_T0     EQU     6
CLKDIV_T1     EQU     7

F			  EQU     1
W			  EQU     0


     
     
     
     
     
     
     
     
     
     
     
     
     
     